Name:		dixi-mon-aud
Summary:	dixi-mon-aud
Version:	0.3.6
Release:	%mkrel 1
Source:		%{name}-%{version}.tar.bz2
Patch0:		build.xml.patch
URL:		http://www.xtreemos.eu/
Group:		System/Cluster
License:	BSD
BuildRequires:	java-devel >= 1.6.0 ant
BuildRequires:	dixi-main
BuildArch:	noarch
Requires:	dixi-main java >= 1.6.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%description
dixi-mon-aud, part of dixi.

This software is part of XtreemOS.

%package -n dixi-monmng
Summary: Dixi monitoring management
Group:		System/Cluster
%description -n dixi-monmng
Monitoring management provides the means to receive, collect and send
the metrics and events between the XtreemOS services.

This software is part of XtreemOS.

%package -n dixi-auditing
Summary: Dixi auditing
Group:		System/Cluster
%description -n dixi-auditing
The Auditing collects the information from the Monitoring management
and provides the access to the history database of events.

This software is part of XtreemOS.

%prep
%setup -q
%patch0 -p0
find . -type f -name '*.jar' -delete

%build
ant -DJARDepsDir=%{_javadir} -lib %{_javadir}/java-cup-runtime.jar

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

%ant -DDEST=%{buildroot} install
%create_jar_links

%clean
%{__rm} -Rf %{buildroot}

%files -n dixi-monmng
%defattr(-,root,root)
%doc ReleaseNotes.txt
%config(noreplace) %{_sysconfdir}/xos/config/MonMng.conf
%config(noreplace) %{_sysconfdir}/xos/config/xosd_stages/MonMng.stage
%config(noreplace) %{_sysconfdir}/xos/config/monmng/hibernate_config.xml
%config(noreplace) %{_sysconfdir}/xos/config/monmng/hibernate_mappings.xml
%{_javadir}/monmng-%version.jar
%{_javadir}/monmng.jar
%{_datadir}/dixi/monmng.deps

%files -n dixi-auditing
%defattr(-,root,root)
%doc ReleaseNotes.txt
%config(noreplace) %{_sysconfdir}/xos/config/AuditingMng.conf
%config(noreplace) %{_sysconfdir}/xos/config/xosd_stages/AuditingMng.stage
%config(noreplace) %{_sysconfdir}/xos/config/auditingmng/hibernate_config.xml
%{_javadir}/auditingmng-%version.jar
%{_javadir}/auditingmng.jar
%{_datadir}/dixi/auditing.deps

